Subject: bug#73808: 30.0.91; Should test files be included in GNU ELPA tarballs?

From: Stefan Kangas <[email-masked]>
Date: Mon, 14 Oct 2024 15:11:57 -0700

Lin Jian <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> The best way to exclude the test files is to add a .elpaignore file to
>> the upstream project.
>
> Agreed.  What about adding some documentation about this?

The below text has been added in Emacs 30 to
(info "(elisp) Multi-file Packages")

       If your package contains files that you don't wish to distribute
    to users (e.g. regression tests), you can add them to an
    ‘.elpaignore’ file.  In this file, each line lists a file or a
    wildcard matching files; those files should be ignored when
    producing your package's tarball on ELPA (*note Package Archives::).
    (ELPA will pass this file to the ‘tar’ command via the ‘-X’
    command-line option, when it prepares the package for download.)